.main-legend {
    text-align: center;
    margin: 10px;
    --bs-gutter-x: 0 !important;
    position: fixed;
    bottom: 90px;
    font-family: Georgia;
    width: 100%;
    height: 40px;
    background-color: white;
    color: rgb(9, 2, 24);
    text-align: center;
    margin: 0px;
}

.legend-title {
    display: list-item;
    text-align: center;
    float: right;
    width: 100%;
    text-decoration: none;
    list-style: none;
    font-size: clamp(10px, 1vw, 20vw);
}

.row {
    width: 100%;
    text-align: center;
}

.colored-bar {
    width: 100%;
    background-color: lightgray;
    height: 4vh;
    min-height: 4px;
    align-items: center;
    display: flex;
    justify-content: center;
}

.bar-label {
    margin: 0;
}

.legend-item {
    display: flex;
    margin-right: 2vw;
    width: 14vw;
    font-size: 0.8vw;
    margin-left: 2vw;
}

.legend-item span {
    font-size: clamp(8px, 0.7vw, 20vw);
}

.legend-dot {
    border-radius: 50%;
    width: max(10px, 0.4vw);
    height: max(10px, 0.4vw);
    display: block;
    margin-top: 0.5vh;
    margin-right: 0.4vw;
}

.colored-bar div label b{
    font-size: clamp(10px, 0.9vw, 20vw);
}